using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


    class Program
    {
        static void Main(string[] args)
        {
           string slova = Console.ReadLine();
            string[] brojevi = Console.ReadLine().Split(' ');
            string prvi = slova[0].ToString();
            string drugi = slova[1].ToString();
            int br_prvi = Convert.ToInt32(brojevi[0]);
            int br_drugi = Convert.ToInt32(brojevi[1]);

            if(Math.Abs(br_drugi - br_prvi) > 1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                Console.WriteLine("moguce");
                if(br_prvi > br_drugi)
                {
                    while (br_drugi > 0)
                    {
                        Console.Write(prvi + drugi);
                        br_drugi--;
                        br_prvi--;
                    }
                    Console.Write(prvi);
                    br_prvi--;
                    
                }
                else
                {
                    while (br_prvi > 0)
                    {
                        Console.Write(drugi + prvi);
                        br_drugi--;
                        br_prvi--;
                    }
                    if (br_drugi == 1)
                    {
                        Console.Write(drugi);
                    }
                } 
            }
        }
    }